function calcul_FWHM, cube, px_size, lambda, D
; cube   : cube of images
; px_size: image px size ["/px] 
; lambda : wavelength [m]
; D      : telescope diameter [m]

PSF  = total(cube,3)
toto = gauss2dfit(PSF,a) & sig = (a[3]+a[2])/2.

fwhm = 2*sig*sqrt(2*alog(2)) ; FWHM in units of pixels
fwhm*= px_size               ; FWHM in units of "
fwhm/= lambda/D*!RADEG*3600  ; FWHM in units of [lambda/D]

return, fwhm
end